Skip to navigation

SQ_AddSkill

View as Markdown

Adds a new skill to the app.

Example request: Add a new skill.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idintegerRequired
Application ID to bind to
application_namestringOptional

Application name to bind to. Can be used instead of application_id

sq_skill_namestringRequired
Unique skill name within the application
descriptionstringOptional
Comment, up to 200 characters

Response

Successful response
resultintegerOptional
Result with ID of the added skill